import { AuthenticationResponseJSON } from "@simplewebauthn/typescript-types";
import { HttpsFunction } from "firebase-functions";
import { FunctionResponseSuccessful } from "./function-response-successful";
import { FunctionResponseUnsuccessful } from "./function-response-unsuccessful";
interface VerifyReauthenticationFunctionResponseSuccessful extends FunctionResponseSuccessful {
}
interface VerifyReauthenticationFunctionResponseUnsuccessful extends FunctionResponseUnsuccessful {
    "message": "A passkey doesn't exist for this user." | "Reauthentication response not verified." | "Please create a reauthentication challenge first." | "Please sign in first." | "The authenticator didn't provide a uid." | "This user doesn't exist.";
}
export interface VerifyReauthenticationFunctionRequest {
    "authenticationResponse": AuthenticationResponseJSON;
}
export type VerifyReauthenticationFunctionResponse = VerifyReauthenticationFunctionResponseSuccessful | VerifyReauthenticationFunctionResponseUnsuccessful;
export declare const ngxFirebaseWebAuthnVerifyReauthentication: HttpsFunction;
export {};
